V1
get
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/subjects/{subjectId}/{studyVersion}/demographicstatus
Retrieves list of subjects that have specific demographic details available, like gender, race and date of birth.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyVersion(required): string
String representing the version of the study. Helps track changes in form or study design.Example:
3.1.0.0 -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Subjects success.
Root Schema : schema
Type:
Show Source
array-
Array of:
object DemographicStatusResponse
Response indicating whether demographic data (gender, date of birth, race) is available for a subject.
Nested Schema : DemographicStatusResponse
Type:
objectResponse indicating whether demographic data (gender, date of birth, race) is available for a subject.
Show Source
-
dobDataAvailable: boolean
True if date of birth data is available for this subject.Example:
false -
genderDataAvailable: boolean
True if gender data is available for this subject.Example:
true -
raceDataAvailable: boolean
True if race data is available for this subject.Example:
true
Examples
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.